//-----------------------------------------------------------------------------
// Fxxx_SFR_Defs_Wrapper.h
//-----------------------------------------------------------------------------
// Copyright (C) 2014 Silicon Laboratories, Inc.
// http://www.silabs.com
//
// Program Description:
//
// [*** TEMPLATE INFORMATION ***]
// Filename: Fxxx_SFR_Defs_Wrapper.c - DO NOT change this file name.
// xxx => Leave as-is; this means the file is compatible with all C8051F devices.
//
// Content: Fill-in "nnn" below with actual MCU SFR definition header file name.
//
// Target:         Any Silicon Labs C8051 MCU
// Tool chain:     Generic
// Command Line:   None
//
//
// Release 1.2 / 22Sept2014 (SHY)
//    -Add F850
// Release 1.1 / 9Mar2013 (MarkD)
//    -F360 UART Revision
// Release 1.0 / 01SEP2010 (PKC)
//    -Initial Revision
//
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#ifndef _FXXX_SFR_DEFS_WRAPPER_H_
#define _FXXX_SFR_DEFS_WRAPPER_H_

//-----------------------------------------------------------------------------
// Includes - Special Case Wrapper Use Only
// Use this section only to include any device-specific header files within a
// generic header file - the sole purpose is to use as a wrapper header file.
//-----------------------------------------------------------------------------

#include <C8051F360_defs.h> //   TODO: "nnn" - Fill-in value for actual 
                            //   MCU SFR definition header file name.


#ifdef C8051F850_DEFS_H
#define   TI0         TI
#define   RI0         RI
#define DISABLE_WATCHDOG()     do { WDTCN = 0xDE; WDTCN = 0xAD; } while(0)

#else

#define DISABLE_WATCHDOG()     do { PCA0MD &= ~0x40; } while(0)

#endif



// These ensure that all items tagged Target-only and TargetBL-only are included
#define _INCLUDE_TARGET_ONLY_ITEMS_
#define _INCLUDE_TARGET_BL_ONLY_ITEMS_

//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#endif // #ifndef _FXXX_SFR_DEFS_WRAPPER_H_

//-----------------------------------------------------------------------------
// End Of File
//-----------------------------------------------------------------------------
